Create a question
POST
Add a guided question to a project.
API-key permission: questions create. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidapplication/json- body
tags?array<>Items
1 <= itemsisAutoTags?booleanDefaults to true when tags are omitted. Sending tags selects manual tagging.
priority?integerRange
1 <= value <= 100Default
50isAutoPriority?booleanDefault
truequestion*stringLength
1 <= length <= 500answerMode*stringValue in
"text_only""single_select""multi_select"answers?Default
{}status*stringValue in
"active""archived"responseVisibility*stringWhether answers can appear with the customer’s published opinion. Set when the question is created; it cannot be changed.
Value in
"default""private"OK
application/json- response
question*curl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions' \
-H 'Content-Type: application/json' \
-d '{
"question": "string",
"answerMode": "text_only",
"status": "active",
"responseVisibility": "default"
}'Example Response
{
"question": {
"id": "string",
"familyId": "44b97bbb-267f-4989-8ce2-585694b2e454",
"version": 1,
"question": "string",
"answerMode": "text_only",
"answers": {
"options": [
{
"id": "string",
"option": "string",
"description": "string"
},
{
"id": "string",
"option": "string",
"description": "string"
}
],
"allowOther": true,
"skippable": true,
"layout": "inline",
"chipPosition": "left",
"otherPlaceholder": "string",
"freeTextPlaceholder": "string",
"freeTextMultiline": true
},
"tags": [
"Trust"
],
"priority": 1,
"isAutoPriority": true,
"isAutoTags": true,
"status": "active",
"responseVisibility": "default",
"createdAt": "2019-08-24T14:15:22Z"
}
}